
CoCoALib - Feature #229

Generator for random ring elements

19 Sep 2012 14:54 - John Abbott

Status: New Start date: 19 Sep 2012

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-1.0 Spent time: 0.00 hour

Description

Robbiano requested a function for randomizing the coeffs of a polynomial (which is just a ring elem).

It would be nice to have a function which generates random elements from (almost?) any ring.  The function might need to accept a

"template" (e.g. the support of the random polynomial).  Not sure how one could control the size of coeffs when randomizing over ZZ

or QQ.

History

#1 - 22 Jan 2013 16:37 - Anna Maria Bigatti

Is this true? do we really need it?

I suggest we remove this issue.

#2 - 28 Jan 2013 08:05 - Anna Maria Bigatti

- Category set to New Function

#3 - 01 Aug 2014 08:59 - Anna Maria Bigatti

- Target version set to CoCoALib-1.0
